Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Interface SVGLoadEventDispatcherListener

All Known Implementing Classes:
  JSVGComponent.SVGListener, JSVGViewerFrame, SVGLoadEventDispatcherAdapter

public interface SVGLoadEventDispatcherListener

This interface represents a listener to the SVGLoadEventDispatcherEvent events.

Method Summary
`void` | `svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was cancelled.
`void` | `svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was completed.
`void` | `svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch failed.
`void` | `svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch started.

Method Detail

### svgLoadEventDispatchStarted

    public void svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch started.

### svgLoadEventDispatchCompleted

    public void svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was completed.

### svgLoadEventDispatchCancelled

    public void svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was cancelled.

### svgLoadEventDispatchFailed

    public void svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.